#!/usr/local/bin/perl

while(<STDIN>) {

    chomp;		# drop CR
    print $_;		# print the original line
    s#/##;		# get rid of possible terminating '/'

    if (/^[0-9a-fA-F]{4}:\s*/) {

	s#$1##;		# get rid if leading address field
	print "    ";

	@bytes = split;
	while (@bytes) {
	    $val = hex(shift(@bytes));
	    if ($val < 32 || $val > 127) {
		print ".";
	    } else {
		printf("%c",$val);
	    }
	}
    }

    print "\n";
}
